import { ISession } from '../utils.js';
export declare class Shapes {
    private session;
    constructor(session: ISession);
    rectangle(width: number, height: number): void;
    square(size: number): void;
    drawArc(rx: number, ry: number, start: number, end: number, close?: boolean, back?: boolean): void;
    ellipse(rx: number, ry: number): void;
    arc(radius: number, start: number, end: number, close?: boolean): void;
    circle(radius: number): void;
    polygon(): void;
    pixel(): void;
}
export default Shapes;
